package com.technology.huahai.web.controller.csm;

import com.technology.huahai.common.core.controller.domain.AjaxResult;
import com.technology.huahai.common.utils.TokenGeneratorUtils;
import com.technology.huahai.web.domain.entity.Dict;
import com.technology.huahai.web.service.DictService;
import com.technology.huahai.web.vo.TechnologyGenerateVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import javax.validation.Valid;
import java.util.List;

/**
 * @author taoyuan
 * @date 2025/05/022
 * 场所码字典
 */
@RestController
@RequestMapping("/api/technology/dict")
public class DictController {

    @Autowired
    private DictService dictService;

    /**
     * 根据类型查询字典
     * @param dictType
     * @return
     */
    @GetMapping("/getDictInfoByType")
    public AjaxResult getDictInfoByType(@Valid @RequestParam(name = "dictType",required = true)String dictType) {
        List<Dict> dict = dictService.getDictInfoByType(dictType);
        return AjaxResult.success(dict);
    }

}
