package com.technology.huahai.common.utils;

import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.technology.huahai.common.utils.http.HttpUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;

public class JsonUtils {

    private static final Logger log = LoggerFactory.getLogger(JsonUtils.class);
    private static final ObjectMapper objectMapper = new ObjectMapper();

    public static <T> T parseJson(String json, Class<T> valueType) {
        try {
            return objectMapper.readValue(json, valueType);
        } catch (Exception e) {
            log.error("异常json {}",json);
            e.printStackTrace();
            throw new RuntimeException("JSON parsing error", e);
        }
    }

    public static String writeValueAsString(Object o){
        try {
            return objectMapper.writeValueAsString(o);
        } catch (Exception e) {
            e.printStackTrace();
            throw new RuntimeException("JSON writeValueAsString error", e);
        }
    }

    public static JsonNode readTree(byte[] bytes) throws IOException {
        JsonNode jsonNode = objectMapper.readTree(bytes);
        return jsonNode;
    }

    public static JsonNode readJSONObject(byte[] bytes) throws IOException {
        JsonNode jsonNode = objectMapper.readTree(bytes);
        return jsonNode;
    }
}
